## kphotoalbum 4.7

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.9)
project(kphotoalbum)

if(POLICY CMP0017)
    # Prefer files from the CMake module directory when including from there:
    CMAKE_POLICY(SET CMP0017 NEW)
endif()

# provide drop-down menu for build-type in cmake-gui:
set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ";Debug;Release;RelWithDebInfo;MinSizeRel")

SET(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)

# in case we are installing to a non-standard path, expect that other libs are installed there as well:
LIST(INSERT CMAKE_PREFIX_PATH 0 "${CMAKE_INSTALL_PREFIX}")
LIST(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules")

find_package(KDE4 REQUIRED)
include(KDE4Defaults)

# This seems to be needed for KPA to compile with KDE 4.0.0
set(INSTALL_TARGETS_DEFAULT_ARGS
    RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
    LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
    ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
    COMPONENT Devel
)

ADD_DEFINITIONS(
    ${QT_DEFINITIONS}
    ${KDE4_DEFINITIONS}
    ${KDE4_ENABLE_EXCEPTIONS}
    -DQT_NO_CAST_FROM_ASCII
    -DQT_NO_CAST_TO_ASCII
    #-DDEBUG_JOBMANAGER
)

include(CheckCXX11Features)

SET(CMAKE_CXX_FLAGS
    "${CMAKE_CXX_FLAGS} ${CXX11_COMPILER_FLAGS}"
)

INCLUDE_DIRECTORIES(
    ${KDE4_INCLUDES}
    ${QT_INCLUDES}
)

find_package(JPEG REQUIRED)
if(JPEG_FOUND)
    INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
endif (JPEG_FOUND)

macro_optional_find_package(Kipi)
macro_bool_to_01(KIPI_FOUND HASKIPI)
if(KIPI_FOUND)
    ADD_DEFINITIONS(${KIPI_DEFINITIONS})
    INCLUDE_DIRECTORIES(BEFORE ${KIPI_INCLUDE_DIR})
endif(KIPI_FOUND)

macro_optional_find_package(Kdcraw)
macro_bool_to_01(KDCRAW_FOUND HAVE_KDCRAW)
if(KDCRAW_FOUND)
    ADD_DEFINITIONS(${KDCRAW_DEFINITIONS})
    INCLUDE_DIRECTORIES(BEFORE ${KDCRAW_INCLUDE_DIR})
endif(KDCRAW_FOUND)

macro_optional_find_package(Exiv2)
macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)

macro_optional_find_package(Marble)
macro_bool_to_01(MARBLE_FOUND HAVE_MARBLE)
if(MARBLE_FOUND)
    INCLUDE_DIRECTORIES(${MARBLE_INCLUDE_DIR})
endif(MARBLE_FOUND)

# Kface 3.5.0 ships with a usable kface-config.cmake
# and face detection/recognition support in KPA depends on KFace >= 3.5.0, anyway.
macro_optional_find_package(Kface 3.5.0 QUIET CONFIG)
macro_bool_to_01(Kface_FOUND HAVE_KFACE)
if(Kface_FOUND)
    message(STATUS "Found KFace version ${Kface_VERSION} (optional)")
    message(STATUS "  Face detection and recognition features will be built.")
    INCLUDE_DIRECTORIES(${Kface_INCLUDE_DIR})
else()
    message(STATUS "Did not find KFace >= 3.5.0 (optional)")
    message(STATUS "  Face detection and recognition features won't be built.")
endif(Kface_FOUND)

if(EXIV2_FOUND)
    macro_optional_find_package(KGeoMap QUIET)
else()
	message(STATUS "Not searching KGeoMap because of missing dependency Exiv2...")
endif()
macro_bool_to_01(KGEOMAP_FOUND HAVE_KGEOMAP)
if(KGEOMAP_FOUND)
    message(STATUS "Found KGeoMap ${KGEOMAP_VERSION} (optional)")
    message(STATUS "  Geographic map features will be built.")
    INCLUDE_DIRECTORIES(${KGEOMAP_INCLUDE_DIR})
else()
    message(STATUS "Did not find KGeoMap (optional)")
    message(STATUS "  Geographic map features won't be built.")
endif(KGEOMAP_FOUND)

add_custom_target(
    UpdateVersion ALL
    COMMAND ${CMAKE_COMMAND} -DBASE_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
    COMMENT "Updating version header."
)

# For config-kpa-*.h
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})

set(libdatebar_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp
)

set(libSettings_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsData.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerSizeConfig.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryItem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoryPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/TagGroupsPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/GeneralPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/FileVersionDetectionPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ThumbnailsPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/ViewerPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DatabaseBackendPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/UntaggedGroupBox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoriesGroupsWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/BirthdayPage.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DateTableWidgetItem.cpp
)

set(libxmldb_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Database.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategoryCollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLCategory.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XMLImageDateCollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/NumberedBackup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileReader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/FileWriter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/ElementWriter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XmlReader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/CompressFileInfo.cpp
)

set(libThumbnailView_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailToolTip.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeInteraction.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/GridResizeSlider.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionInteraction.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/MouseTrackingInteraction.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/CellGeometry.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailModel.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailFacade.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailComponent.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/KeyboardEventHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailDND.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.cpp
)

set(libPlugins_SRCS)
if(KIPI_FOUND)
    set(libPlugins_SRCS
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageInfo.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/CategoryImageCollection.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollectionSelector.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadWidget.cpp
        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadImageCollection.cpp
    )
endif(KIPI_FOUND)

set(libViewer_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ImageDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewHandler.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/SpeedDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBox.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/CategoryImageConfig.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/AbstractDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TextDisplay.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/InfoBoxResizer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TaggedArea.cpp
)

set(libCategoryListView_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragableTreeWidget.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/CheckDropItem.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragItemInfo.cpp
)

set(libHTMLGenerator_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/HTMLDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Generator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Setup.cpp
)

set(libUtilities_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Graph.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Set.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp
)

set(libMainWindow_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DeleteDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/RunDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/FeatureDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/InvalidDateFinder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/AutoStackImages.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/TokenEditor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/WelcomeDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Window.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SplashScreen.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ExternalPopup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CategoryImagePopup.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/SearchBar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/ImageCounter.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DirtyIndicator.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatisticsDialog.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/BreadcrumbViewer.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/StatusBar.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/UpdateVideoThumbnail.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMerger.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMatch.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/MergeToolTip.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CopyPopup.cpp
)

set(libImageManager_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/AsyncLoader.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageClientInterface.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageDecoder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RawImageDecoder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/RequestQueue.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailCache.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageEvent.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ThumbnailBuilder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/PreloadRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/CancelEvent.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoImageRescaleRequest.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoThumbnails.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoLengthExtractor.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ExtractOneVideoFrame.cpp
)

set(libDB_SRCS
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/Category.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryCollection.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ExactCategoryMatcher.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageDate.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/MD5Map.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/MemberMap.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfoList.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageDB.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/FileInfo.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/NegationCategoryMatcher.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/NewImageFinder.cpp
    ${CMAKE_CURRENT_SOURCE_DIR}/DB/NoTagCategoryMatcher.cpp

=== doc/CMakeLists.txt ===
add_subdirectory(nl)
add_subdirectory(pt)
add_subdirectory(pt_BR)
add_subdirectory(uk)
add_subdirectory(it)
add_subdirectory(fr)
add_subdirectory(sv)
add_subdirectory(de)
add_subdirectory(en_US)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(ug)
add_subdirectory(nl)
add_subdirectory(zh_TW)
add_subdirectory(gl)
add_subdirectory(ja)
add_subdirectory(hr)
add_subdirectory(ga)
add_subdirectory(en_GB)
add_subdirectory(pt)
add_subdirectory(mai)
add_subdirectory(pa)
add_subdirectory(eo)
add_subdirectory(sk)
add_subdirectory(ca)
add_subdirectory(ar)
add_subdirectory(vi)
add_subdirectory(hi)
add_subdirectory(bg)
add_subdirectory(pt_BR)
add_subdirectory(ro)
add_subdirectory(pl)
add_subdirectory(es)
add_subdirectory(se)
add_subdirectory(uk)
add_subdirectory(hne)
add_subdirectory(ast)
add_subdirectory(it)
add_subdirectory(is)
add_subdirectory(fr)
add_subdirectory(el)
add_subdirectory(be)
add_subdirectory(nb)
add_subdirectory(nn)
add_subdirectory(fi)
add_subdirectory(sv)
add_subdirectory(ca@valencia)
add_subdirectory(zh_CN)
add_subdirectory(de)
add_subdirectory(hu)
add_subdirectory(et)
add_subdirectory(eu)
add_subdirectory(bs)
add_subdirectory(tr)
add_subdirectory(cs)
add_subdirectory(nds)
add_subdirectory(da)
add_subdirectory(ru)
add_subdirectory(mr)
add_subdirectory(km)
add_subdirectory(lt)

=== script/CMakeLists.txt ===
option( KPA_INSTALL_DEVSCRIPTS "Install shell scripts useful to developers." OFF)
if( KPA_INSTALL_DEVSCRIPTS )
	set ( DEVSCRIPTS kpa-mktestdb.sh )
endif()

install( PROGRAMS open-raw.desktop DESTINATION ${XDG_APPS_INSTALL_DIR} )
install( PROGRAMS open-raw.pl kpa-backup.sh ${DEVSCRIPTS} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

=== doc/uk/CMakeLists.txt ===
kde4_create_handbook(index.docbook INSTALL_DESTINATION ${HTML_INSTALL_DIR}/uk SUBDIR kphotoalbum )

=== po/fr/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(fr ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/hne/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(hne ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/vi/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(vi ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== themes/blue/CMakeLists.txt ===
install( FILES  imagepage.html  kphotoalbum.theme  mainpage.css  mainpage.html download.png DESTINATION ${DATA_INSTALL_DIR}/kphotoalbum/themes/blue )

=== themes/dark/CMakeLists.txt ===
install( FILES download.png  imagepage.html  kphotoalbum.theme  mainpage.html  navigation.js  style.css  DESTINATION ${DATA_INSTALL_DIR}/kphotoalbum/themes/dark )

=== debian/changelog ===
kphotoalbum (4.7-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the patches:
    - upstream_Fix-compilation-for-Ubuntu-15.04.patch: drop, backported from
      upstream
    - upstream_Add-missing-QMap-and-QDate-includes.patch: drop, backported
      from upstream
  * Bump Standards-Version to 3.9.7, no changes required.
  * Use https for the Vcs-Browser field.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Feb 2016 00:47:43 +0100

kphotoalbum (4.6.2-2) unstable; urgency=medium

  * Team upload.
  * Backport part of upstream commit d83730a934437f18e0406bddb244a7a9c497565c,
    and upstream commit 8dafd2c36ae8ed71577e4ff3c7c7ade18f670e37, to add a
    missing forward declaration and missing includes, fixing build; patches
    upstream_Fix-compilation-for-Ubuntu-15.04.patch and
    upstream_Add-missing-QMap-and-QDate-includes.patch.

 -- Pino Toscano <pino@debian.org>  Wed, 16 Dec 2015 08:29:28 +0100

kphotoalbum (4.6.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Acknowledge NMUs, thanks Matthias Klose and Sebastian Ramacher.
  * Update watch file.
  * Drop patch gcc5.diff, fixed upstream.
  * Bump Standards-Version to 3.9.6, no changes required.
  * Remove unused build dependencies: libmarble-dev, shared-desktop-ontologies.
  * Drop menu file, as kphotoalbum already provides a .desktop file.

 -- Pino Toscano <pino@debian.org>  Tue, 15 Dec 2015 23:19:43 +0100

kphotoalbum (4.5-1.2) unstable; urgency=medium

  * Non-maintainer upload.

  [ Andreas Cadhalpun ]
  * debian/control:
    - Change Depends on mplayer2 to mplayer. (Closes: #795419)
    - Change Recommends on libav-tools to ffmpeg.

 -- Sebastian Ramacher <sramacher@debian.org>  Mon, 12 Oct 2015 18:38:47 +0200

kphotoalbum (4.5-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix build with GCC 5 (Betty Dall). Closes: #777929.

 -- Matthias Klose <doko@debian.org>  Tue, 14 Jul 2015 18:28:03 +0200

=== debian/control ===
Source: kphotoalbum
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
Build-Depends: debhelper (>= 9), cmake (>= 2.8.3), pkg-kde-tools (>= 0.6.4),
 docbook-to-man,
 libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
 x11proto-core-dev,
 pkg-config,
Standards-Version: 3.9.7
Homepage: http://kphotoalbum.org
Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk
Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/

Package: kphotoalbum
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
 libqt4-sql-sqlite, mplayer
Recommends: kipi-plugins, khelpcenter4, ffmpeg
Description: tool for indexing, searching and viewing images by keywords for KDE
 KPhotoAlbum lets you index, search, group and view images by keywords, date,
 locations and persons. It provides a quick and elegant way to lookup groups of
 images when you have thousands of pictures on your hard disk. 
 .
 The information associated with each photo is stored in an XML file. Together
 with its keywords, KPhotoAlbum stores each picture's MD5 sum, so it will
 recognize them even if you move them to another directory. KPhotoAlbum can
 also create HTML galleries with the images you select.
 .
 KPhotoAlbum can also make use of the KIPI image handling plugins to extend its
 capabilities. The kipi-plugins package contains many useful extensions. Among
 others, it contains extensions for photo manipulation, importing, exporting
 and batch processing.

=== debian/watch ===
version=3
http://download.kde.org/stable/kphotoalbum/([\d\.]+)/src/kphotoalbum-([\d\.]+)\.tar\.xz

## kphotoalbum 4.7.2

=== debian/changelog ===
kphotoalbum (4.7.2-2) unstable; urgency=medium

  * Team upload.
  * Disable KIPI support, since they are available only for Frameworks now:
    - drop the libkipi-dev build dependency
    - drop the kipi-plugins recommend

 -- Pino Toscano <pino@debian.org>  Fri, 19 Aug 2016 21:11:01 +0200

kphotoalbum (4.7.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 3.9.8, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 30 Jul 2016 11:18:52 +0200

kphotoalbum (4.7.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Pino Toscano <pino@debian.org>  Fri, 25 Mar 2016 10:11:37 +0100

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,10 @@
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
 Build-Depends: debhelper (>= 9), cmake (>= 2.8.3), pkg-kde-tools (>= 0.6.4),
  docbook-to-man,
- libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev, libkipi-dev,
+ libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev,
  x11proto-core-dev,
  pkg-config,
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Homepage: http://kphotoalbum.org
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
@@ -17,7 +17,7 @@
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
  libqt4-sql-sqlite, mplayer
-Recommends: kipi-plugins, khelpcenter4, ffmpeg
+Recommends: khelpcenter4, ffmpeg
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
  locations and persons. It provides a quick and elegant way to lookup groups of

## kphotoalbum 5.2

=== debian/changelog ===
kphotoalbum (5.2-2) unstable; urgency=medium

  * Team upload.
  * Force generation of version.h as first step of the build, to avoid races
    later on.
  * Bump Standards-Version to 4.0.0, no changes required.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Jun 2017 09:19:45 +0200

kphotoalbum (5.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file.
  * Update the build dependencies following the port to Frameworks:
    - remove libkdcraw-dev
    - add extra-cmake-modules, qtbase5-dev, libphonon4qt5-dev,
      libkf5archive-dev, libkf5completion-dev, libkf5config-dev,
      libkf5coreaddons-dev, libkf5doctools-dev, libkf5i18n-dev,
      libkf5iconthemes-dev, libkf5jobwidgets-dev, libkf5kio-dev,
      libkf5textwidgets-dev, libkf5widgetsaddons-dev, libkf5xmlgui-dev,
      libkf5kdcraw-dev, libkf5kgeomap-dev, and libkf5kipi-dev
  * Use the right dh addon:
    - switch from kde to kf5 dh addon
    - bump the pkg-kde-tools build dependency to >= 0.15.16
  * Update the runtime dependencies/recommends:
    - replace libqt4-sql-sqlite with libqt5sql5-sqlite
    - replace khelpcenter4 with khelpcenter
  * Manually add libqt5webkit5-dev, and libmarble-dev as build dependencies,
    to workaround the missing dependencies in libkf5kgeomap-dev.
  * Bump the cmake build dependency to 3.1, as indicated in the upstream
    build system.
  * Since the KIPI support is back, add kipi-plugins as recommend again.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Jun 2017 11:09:45 +0200

=== debian/control ===
--- 
+++ 
@@ -3,12 +3,30 @@
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
-Build-Depends: debhelper (>= 9), cmake (>= 2.8.3), pkg-kde-tools (>= 0.6.4),
+Build-Depends: debhelper (>= 9), cmake (>= 3.1), pkg-kde-tools (>= 0.15.16),
  docbook-to-man,
- libexiv2-dev (>= 0.19), libjpeg-dev, libkdcraw-dev,
+ extra-cmake-modules,
+ qtbase5-dev,
+ libphonon4qt5-dev,
+ libkf5archive-dev,
+ libkf5completion-dev,
+ libkf5config-dev,
+ libkf5coreaddons-dev,
+ libkf5doctools-dev,
+ libkf5i18n-dev,
+ libkf5iconthemes-dev,
+ libkf5jobwidgets-dev,
+ libkf5kio-dev,
+ libkf5textwidgets-dev,
+ libkf5widgetsaddons-dev,
+ libkf5xmlgui-dev,
+ libkf5kdcraw-dev,
+ libkf5kgeomap-dev, libqt5webkit5-dev, libmarble-dev,
+ libkf5kipi-dev,
+ libexiv2-dev (>= 0.19), libjpeg-dev,
  x11proto-core-dev,
  pkg-config,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://kphotoalbum.org
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
@@ -16,8 +34,8 @@
 Package: kphotoalbum
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, ${perl:Depends},
- libqt4-sql-sqlite, mplayer
-Recommends: khelpcenter4, ffmpeg
+ libqt5sql5-sqlite, mplayer
+Recommends: khelpcenter, ffmpeg, kipi-plugins
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
  locations and persons. It provides a quick and elegant way to lookup groups of

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

%:
	dh $@ --parallel --with kf5

override_dh_auto_build:
	# force generation of version.h, to avoid races later on
	dh_auto_build --no-parallel -- UpdateVersion
	dh_auto_build
	/usr/bin/docbook-to-man debian/kphotoalbum.sgml > kphotoalbum.1

override_dh_auto_clean:
	dh_auto_clean
	rm -f kphotoalbum.1

get-orig-source-dpatch:
	 @@dh_testdir
	 @@[ -d ../tarballs/. ]
	 @@dpatch-get-origtargz ../tarballs

.PHONY: override_dh_auto_test

=== debian/watch ===
version=3
http://download.kde.org/stable/kphotoalbum/([\d\.]+)/kphotoalbum-([\d\.]+)\.tar\.xz

## kphotoalbum 5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,124 +1,93 @@
-cmake_minimum_required(VERSION 2.8.9)
-project(kphotoalbum)
-
-if(POLICY CMP0017)
-    # Prefer files from the CMake module directory when including from there:
-    CMAKE_POLICY(SET CMP0017 NEW)
+cmake_minimum_required(VERSION 3.2.0)
+project(kphotoalbum VERSION 5.3)
+
+if(POLICY CMP0063)
+    cmake_policy(SET CMP0063 NEW)
 endif()
 
 # provide drop-down menu for build-type in cmake-gui:
 set_property(CACHE CMAKE_BUILD_TYPE PROPERTY STRINGS ";Debug;Release;RelWithDebInfo;MinSizeRel")
 
-SET(CMAKE_MODULE_PATH
-    ${CMAKE_MODULE_PATH}
-    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
-)
-
-# in case we are installing to a non-standard path, expect that other libs are installed there as well:
-LIST(INSERT CMAKE_PREFIX_PATH 0 "${CMAKE_INSTALL_PREFIX}")
-LIST(INSERT CMAKE_MODULE_PATH 0 "${CMAKE_INSTALL_PREFIX}/share/apps/cmake/modules")
-
-find_package(KDE4 REQUIRED)
-include(KDE4Defaults)
-
-# This seems to be needed for KPA to compile with KDE 4.0.0
-set(INSTALL_TARGETS_DEFAULT_ARGS
-    RUNTIME DESTINATION "${BIN_INSTALL_DIR}"
-    LIBRARY DESTINATION "${LIB_INSTALL_DIR}"
-    ARCHIVE DESTINATION "${LIB_INSTALL_DIR}"
-    COMPONENT Devel
-)
-
-ADD_DEFINITIONS(
-    ${QT_DEFINITIONS}
-    ${KDE4_DEFINITIONS}
-    ${KDE4_ENABLE_EXCEPTIONS}
+list(APPEND CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules)
+
+find_package(ECM REQUIRED NO_MODULE)
+list(APPEND CMAKE_MODULE_PATH ${ECM_MODULE_PATH} )
+
+include(KDEInstallDirs)
+include(KDECompilerSettings)
+include(KDECMakeSettings)
+include(FeatureSummary)
+
+# enable exceptions:
+kde_enable_exceptions()
+
+add_definitions(
     -DQT_NO_CAST_FROM_ASCII
     -DQT_NO_CAST_TO_ASCII
-    #-DDEBUG_JOBMANAGER
-)
-
-include(CheckCXX11Features)
-
-SET(CMAKE_CXX_FLAGS
-    "${CMAKE_CXX_FLAGS} ${CXX11_COMPILER_FLAGS}"
-)
-
-INCLUDE_DIRECTORIES(
-    ${KDE4_INCLUDES}
-    ${QT_INCLUDES}
-)
+    -DQT_NO_URL_CAST_FROM_STRING
+    -DQT_NO_CAST_FROM_BYTEARRAY
+    -DQT_DEPRECATED_WARNINGS
+    )
+
+
+set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_REQUIRED TRUE)
+
+########### dependencies  ###############
+
+find_package(Qt5 REQUIRED COMPONENTS Sql Xml Widgets Network)
+find_package(Phonon4Qt5 REQUIRED)
+find_package(KF5 REQUIRED COMPONENTS Archive Completion Config CoreAddons DocTools I18n IconThemes JobWidgets KIO TextWidgets XmlGui WidgetsAddons)
 
 find_package(JPEG REQUIRED)
 if(JPEG_FOUND)
-    INCLUDE_DIRECTORIES(${JPEG_INCLUDE_DIR})
-endif (JPEG_FOUND)
-
-macro_optional_find_package(Kipi)
-macro_bool_to_01(KIPI_FOUND HASKIPI)
-if(KIPI_FOUND)
-    ADD_DEFINITIONS(${KIPI_DEFINITIONS})
-    INCLUDE_DIRECTORIES(BEFORE ${KIPI_INCLUDE_DIR})
-endif(KIPI_FOUND)
-
-macro_optional_find_package(Kdcraw)
-macro_bool_to_01(KDCRAW_FOUND HAVE_KDCRAW)
-if(KDCRAW_FOUND)
-    ADD_DEFINITIONS(${KDCRAW_DEFINITIONS})
-    INCLUDE_DIRECTORIES(BEFORE ${KDCRAW_INCLUDE_DIR})
-endif(KDCRAW_FOUND)
-
-macro_optional_find_package(Exiv2)
-macro_bool_to_01(EXIV2_FOUND HAVE_EXIV2)
-
-macro_optional_find_package(Marble)
-macro_bool_to_01(MARBLE_FOUND HAVE_MARBLE)
-if(MARBLE_FOUND)
-    INCLUDE_DIRECTORIES(${MARBLE_INCLUDE_DIR})
-endif(MARBLE_FOUND)
-
-# Kface 3.5.0 ships with a usable kface-config.cmake
-# and face detection/recognition support in KPA depends on KFace >= 3.5.0, anyway.
-macro_optional_find_package(Kface 3.5.0 QUIET CONFIG)
-macro_bool_to_01(Kface_FOUND HAVE_KFACE)
-if(Kface_FOUND)
-    message(STATUS "Found KFace version ${Kface_VERSION} (optional)")
-    message(STATUS "  Face detection and recognition features will be built.")
-    INCLUDE_DIRECTORIES(${Kface_INCLUDE_DIR})
-else()
-    message(STATUS "Did not find KFace >= 3.5.0 (optional)")
-    message(STATUS "  Face detection and recognition features won't be built.")
-endif(Kface_FOUND)
-
-if(EXIV2_FOUND)
-    macro_optional_find_package(KGeoMap QUIET)
-else()
-	message(STATUS "Not searching KGeoMap because of missing dependency Exiv2...")
+    include_directories(${JPEG_INCLUDE_DIR})
 endif()
-macro_bool_to_01(KGEOMAP_FOUND HAVE_KGEOMAP)
-if(KGEOMAP_FOUND)
-    message(STATUS "Found KGeoMap ${KGEOMAP_VERSION} (optional)")
-    message(STATUS "  Geographic map features will be built.")
-    INCLUDE_DIRECTORIES(${KGEOMAP_INCLUDE_DIR})
-else()
-    message(STATUS "Did not find KGeoMap (optional)")
-    message(STATUS "  Geographic map features won't be built.")
-endif(KGEOMAP_FOUND)
+
+find_package(Exiv2 REQUIRED)
+
+find_package(KF5Kipi 5.1.0)
+set_package_properties(KF5Kipi
+    PROPERTIES
+    TYPE RECOMMENDED
+    PURPOSE "Enables integration of KDE image plugin interface (shared functionality between KPhotoAlbum and other apps like gwenview or digikam)"
+    )
+set(HASKIPI ${KF5Kipi_FOUND})
+
+find_package(KF5KDcraw)
+set_package_properties(KF5KDcraw
+    PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Enables RAW image support"
+    )
+set(HAVE_KDCRAW ${KF5KDcraw_FOUND} )
+
+find_package(KF5KGeoMap)
+set_package_properties(KF5KGeoMap
+    PROPERTIES
+    TYPE OPTIONAL
+    PURPOSE "Enables support for geographic map location using embedded GPS information."
+    )
+set(HAVE_KGEOMAP ${KF5KGeoMap_FOUND})
 
 add_custom_target(
     UpdateVersion ALL
-    COMMAND ${CMAKE_COMMAND} -DBASE_DIR="${CMAKE_CURRENT_SOURCE_DIR}" -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
+    COMMAND ${CMAKE_COMMAND}
+    -DBASE_DIR=${CMAKE_CURRENT_SOURCE_DIR} -DPROJECT_NAME=KPA -DPROJECT_VERSION="${PROJECT_VERSION}"
+    -DCMAKE_BUILD_TYPE="${CMAKE_BUILD_TYPE}" -P "${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules/UpdateVersion.cmake"
     COMMENT "Updating version header."
-)
+    BYPRODUCTS "${CMAKE_CURRENT_SOURCE_DIR}/version.h"
+    )
 
 # For config-kpa-*.h
-INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})
+include_directories(${CMAKE_CURRENT_BINARY_DIR})
 
 set(libdatebar_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/DateBarWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/ViewHandler.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/DateBar/MouseHandler.cpp
+    )
 
 set(libSettings_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/SettingsData.cpp
@@ -136,7 +105,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/CategoriesGroupsWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/BirthdayPage.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Settings/DateTableWidgetItem.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/Settings/Logging.cpp
+    )
 
 set(libxmldb_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Database.cpp
@@ -149,7 +119,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/ElementWriter.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/XmlReader.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/CompressFileInfo.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/XMLDB/Logging.cpp
+    )
 
 set(libThumbnailView_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/ThumbnailRequest.cpp
@@ -168,10 +139,11 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Delegate.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/SelectionMaintainer.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/VideoThumbnailCycler.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/ThumbnailView/Logging.cpp
+    )
 
 set(libPlugins_SRCS)
-if(KIPI_FOUND)
+if(KF5Kipi_FOUND)
     set(libPlugins_SRCS
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Interface.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/ImageCollection.cpp
@@ -181,8 +153,9 @@
         ${CMAKE_CURRENT_SOURCE_DIR}/Settings/PluginsPage.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadWidget.cpp
         ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/UploadImageCollection.cpp
-    )
-endif(KIPI_FOUND)
+        ${CMAKE_CURRENT_SOURCE_DIR}/Plugins/Logging.cpp
+        )
+endif()
 
 set(libViewer_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/ViewerWidget.cpp
@@ -198,32 +171,36 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VisibleOptionsMenu.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/VideoShooter.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/TaggedArea.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/Viewer/Logging.cpp
+    )
 
 set(libCategoryListView_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragableTreeWidget.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/CheckDropItem.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/DragItemInfo.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/CategoryListView/Logging.cpp
+    )
 
 set(libHTMLGenerator_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/HTMLDialog.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Generator.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Setup.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/ImageSizeCheckBox.h
+    ${CMAKE_CURRENT_SOURCE_DIR}/HTMLGenerator/Logging.cpp
+    )
 
 set(libUtilities_SRCS
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/AlgorithmHelper.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ShowBusyCursor.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/List.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Graph.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/UniqFilenameMapper.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Util.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/BooleanGuard.cpp
-    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Set.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Process.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/DeleteFiles.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/ToolTip.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/Utilities/Logging.cpp
+    )
 
 set(libMainWindow_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DeleteDialog.cpp
@@ -248,7 +225,9 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/DuplicateMatch.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/DuplicateMerger/MergeToolTip.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/CopyPopup.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Options.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/MainWindow/Logging.cpp
+    )
 
 set(libImageManager_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ImageLoaderThread.cpp
@@ -267,7 +246,8 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoThumbnails.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/VideoLengthExtractor.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/ExtractOneVideoFrame.cpp
-)
+    ${CMAKE_CURRENT_SOURCE_DIR}/ImageManager/Logging.cpp
+    )
 
 set(libDB_SRCS
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageInfo.cpp
@@ -283,3 +263,11 @@
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/NegationCategoryMatcher.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/NewImageFinder.cpp
     ${CMAKE_CURRENT_SOURCE_DIR}/DB/NoTagCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/GroupCounter.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ImageSearchInfo.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/CategoryItem.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ContainerCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/ValueCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/OrCategoryMatcher.cpp
+    ${CMAKE_CURRENT_SOURCE_DIR}/DB/AndCategoryMatcher.cpp

=== doc/CMakeLists.txt ===
kdoctools_create_handbook(index.docbook INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR kphotoalbum)

# vi:expandtab:tabstop=4 shiftwidth=4:

=== scripts/CMakeLists.txt ===
option( KPA_INSTALL_DEVSCRIPTS "Install shell scripts useful to developers." OFF)
if( KPA_INSTALL_DEVSCRIPTS )
	set ( DEVSCRIPTS kpa-mktestdb.sh )
endif()

install( PROGRAMS org.kde.kphotoalbum.open-raw.desktop DESTINATION ${KDE_INSTALL_APPDIR} )
install( PROGRAMS open-raw.pl kpa-backup.sh ${DEVSCRIPTS} DESTINATION ${CMAKE_INSTALL_PREFIX}/bin )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== demo/CategoryImages/CMakeLists.txt ===
install(
    FILES
    Keywords-scenic.jpg
    Places-Grand_Canyon.jpg
    Places-Skagen.jpg
    People-Anne_Helene.jpg
    People-Blackie.jpg
    People-Donna.jpg
    People-Jesper.jpg
    People-Jim.jpg
    People-Spiff.jpg
    People-Wayne.jpg
    People-Pets.jpg
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/demo/CategoryImages
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/dark/CMakeLists.txt ===
install(
    FILES
    download.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    style.css
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/dark
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/darkJS/CMakeLists.txt ===
install(
    FILES
    download.png
    slideshow.gif
    slideshow2.gif
    arrow-left.png
    arrow-left2.png
    arrow-right.png
    arrow-right2.png
    close.png
    imagepage.html
    kphotoalbum.theme
    mainpage.html
    navigation.js
    display.js
    style.css
    ie.css
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/darkJS
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== themes/grey/CMakeLists.txt ===
install(
    FILES
    imagepage.html
    kphotoalbum.theme
    mainpage.css
    mainpage.html
    download.png
    DESTINATION ${KDE_INSTALL_DATADIR}/kphotoalbum/themes/grey
    )

# vi:expandtab:tabstop=4 shiftwidth=4:

=== debian/changelog ===
kphotoalbum (5.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.1.3, no changes required.
  * Remove Fathi Boudra from Uploaders, as requested by the MIA team.
    (Closes: #879364)
  * Remove trailing whitespaces in changelog, and control.
  * Use https in watch file.
  * Remove obsolete get-orig-source-dpatch target in rules.

 -- Pino Toscano <pino@debian.org>  Sun, 11 Feb 2018 10:25:37 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: graphics
 Priority: optional
 Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
-Uploaders: Fathi Boudra <fabo@debian.org>, Mark Purcell <msp@debian.org>
+Uploaders: Mark Purcell <msp@debian.org>,
 Build-Depends: debhelper (>= 9), cmake (>= 3.1), pkg-kde-tools (>= 0.15.16),
  docbook-to-man,
  extra-cmake-modules,
@@ -26,7 +26,7 @@
  libexiv2-dev (>= 0.19), libjpeg-dev,
  x11proto-core-dev,
  pkg-config,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://kphotoalbum.org
 Vcs-Browser: https://anonscm.debian.org/viewvc/pkg-kde/kde-extras/kphotoalbum/trunk
 Vcs-Svn: svn://anonscm.debian.org/pkg-kde/kde-extras/kphotoalbum/trunk/
@@ -39,7 +39,7 @@
 Description: tool for indexing, searching and viewing images by keywords for KDE
  KPhotoAlbum lets you index, search, group and view images by keywords, date,
  locations and persons. It provides a quick and elegant way to lookup groups of
- images when you have thousands of pictures on your hard disk. 
+ images when you have thousands of pictures on your hard disk.
  .
  The information associated with each photo is stored in an XML file. Together
  with its keywords, KPhotoAlbum stores each picture's MD5 sum, so it will

=== debian/rules ===
--- 
+++ 
@@ -15,9 +15,4 @@
 	dh_auto_clean
 	rm -f kphotoalbum.1
 
-get-orig-source-dpatch:
-	 @@dh_testdir
-	 @@[ -d ../tarballs/. ]
-	 @@dpatch-get-origtargz ../tarballs
-
 .PHONY: override_dh_auto_test

=== debian/watch ===
version=3
https://download.kde.org/stable/kphotoalbum/([\d\.]+)/kphotoalbum-([\d\.]+)\.tar\.xz
